#!/usr/bin/sh

# This is a wrapper script for using the ardour-session utilities
# it is intended to be symlinked into $PATH for every session-tool

export GTK_PATH=/app/etc/ardour8:/app/lib64/ardour8${GTK_PATH:+:$GTK_PATH}
export LD_LIBRARY_PATH=/app/lib64/ardour8${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

# Running Ardour requires these 3 variables to be set

export ARDOUR_DATA_PATH=/app/share/ardour8
export ARDOUR_CONFIG_PATH=/app/etc/ardour8
export ARDOUR_DLL_PATH=/app/lib64/ardour8
export VAMP_PATH=/app/lib64/ardour8/vamp

SELF=`basename $0`
exec "/app/lib64/ardour8/utils/$SELF" "$@"
